%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define debug_package %{nil} 

Name:		libvmdk
Version:	20170226
Release:	1%{?dist}
Summary:	Library to access the VMware Virtual Disk (VMDK) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		http://code.google.com/p/libvmdk/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	zlib
BuildRequires:	zlib-devel

%description
libvmdk is a library to access the VMware Virtual Disk (VMDK) format

%package devel
Summary:	Header files and libraries for developing applications for libvmdk
Group:		Development/Libraries
Requires:	libvmdk = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libvmdk.

%package tools
Summary:	Several tools for accessing VMware Virtual Disk (VMDK) files
Group:		Applications/System
Requires:	libvmdk = %{version}-%{release} fuse-libs
BuildRequires:	fuse-devel

%description tools
Several tools for accessing VMware Virtual Disk (VMDK) files

%package python
Summary:	Python bindings for libvmdk
Group:		System Environment/Libraries
Requires:	libvmdk = %{version}-%{release} python
BuildRequires:	%(basename %{__python})-devel

%description python
Python bindings for libvmdk

%if 0%{?centos} != 6
%package python3
Summary: Python 3 bindings for libvmdk
Group: System Environment/Libraries
Requires: libvmdk = %{version}-%{release} python3
BuildRequires: python3-devel

%description python3
Python 3 bindings for libvmdk
%endif

%prep
%setup -q

%build
%if 0%{?centos} == 6
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python --enable-python3
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libvmdk.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/vmdkinfo
%attr(755,root,root) %{_bindir}/vmdkmount
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%if 0%{?centos} != 6
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sun Feb 26 2017 Lawrence R. Rogers <lrr@cmu.edu> 20170226-1
* Release 20170226-1
	Version 20170226.

* Tue Jan 19 2016 Lawrence R. Rogers <lrr@cmu.edu> 20160119-1
* Release 20160119-1
	20160119
	* worked on fallback inflate implementation

	20160118
	* worked on fallback inflate implementation

	20160111
	* Changes to Python bindings

	20160109
	* fixes for rpmbuild

	20160108
	* 2016 update
	* worked on Python 3 support

	201512223
	* Changes to Python bindings
	* updated dependencies

	20150712
	* fixed memory leak

* Sat May 31 2015 Lawrence R. Rogers <lrr@cmu.edu> 20150516-1
* Release 20150516-1
	20150516
	* fixed bug handling extent without filename
	* fixed bug in basename handling on non UTF-8 system string systems
	* worked on Python bindings

* Sun May 31 2015 Lawrence R. Rogers <lrr@cmu.edu> 20150325-2
* Release 20150325-2
	Libuna GCC-5 Patch

* Wed Mar 25 2015 Lawrence R. Rogers <lrr@cmu.edu> 20150325-1
* Release 20150325-1
	20150325
	* changes for deployment

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cmu.edu> 20150105-1
* Release 20150105-1
	20150105
	* 2015 update

	20141229
	* updated dpkg files
	* updated dependencies
	* updated .gitignore

	20141221
	* worked on Python 3 support
	* worked on tests

	20141205
	* worked on test scripts

	20141129
	* code clean up

	20141119
	* small fixes for stand-alone usage of libfvalue

	20141114
	* code clean up

	20141106
	* worked on multi-threading support

	20141030
	* added tests/pyvmdk_test_open_close.py to make dist

	20141029
	* bug fix in Python-bindings

	20141027
	* changes for deployment

	20141022
	* changes for deployment

* Tue Oct 21 2014 Lawrence R. Rogers <lrr@cmu.edu> 20141021-1
* Release 20141021-1
	20141021
	* changes for deployment

	20140929
	* removed README.macosx
	* changes for project site move

	20140803
	* bug fix in Python-bindings

	20140729
	* updated dependencies

* Mon Apr 21 2014 Joachim Metz <joachim.metz@gmail.com> 20140421-1
- Auto-generated

